## jxtray.io
Class WriterStrategy

    java.lang.Object
      jxtray.io.WriterStrategy

Direct Known Subclasses:
  GunzipWriterStrategy, JarWriterStrategy, PlainTextWriterStrategy, ZipWriterStrategy

public abstract class WriterStrategy
extends java.lang.Object

Author:
  Jean-Yves Beaujean This class is the mother class of the others WriterStategy classes. All of the others WriterStrategy must be child of this classes. This allows to have a unique object for multiples use cases. Design pattern : strategy ( of course... ) Note that the child class MUST implement the write méthod.

Field Summary
`protected java.lang.String` `_fileName`

Constructor Summary
`WriterStrategy()`

Method Summary
`protected abstract void` `close()`
`java.lang.String` `getName()` Return the writer name.
`protected abstract void` `open()`
`protected abstract void` `write(java.lang.String data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _fileName

    protected java.lang.String _fileName

Constructor Detail

### WriterStrategy

    public WriterStrategy()

Method Detail

### getName

    public java.lang.String getName()

  Return the writer name. It this case : default, cause this class will never be instanciated

  Returns:
    String

### open

    protected abstract void open()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    protected abstract void close()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    protected abstract void write(java.lang.String data)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`